跳转到内容

Bria RMBG 2.0

集成

模型 id bria/background/remove
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/background/remove?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_os2qhh70dksuutdlc8yxctru/0-eDHA2VbZQilztL9CLLj56_hjNDn2TY.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.018 18 API 积分 在此页面运行

获取 API 密钥

示例

输入
输出 · ~10 秒
$0.018 · 18 API 积分

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

可选的抠图说明,使用自然语言:'only the chair' 可缩小选择范围,'without the lamp' 可移除内容,'the person with the mat' 可添加要保留的内容。

•必填 image_url
拖放文件,或

要擦除内容的源图像。

POST /run/bria/background/remove?wait=20 报价 → $0.018
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/background/remove?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_os2qhh70dksuutdlc8yxctru/0-eDHA2VbZQilztL9CLLj56_hjNDn2TY.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Bria RMBG 2.0

Bria 的背景移除模型返回透明抠图,在头发、毛发和 精细产品细节周围呈现柔和、准确的边缘,使用经过授权的数据训练,可用于商业用途。输入一张图像,输出一张抠图, 按每张图像统一计价。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
image_url必填 image
类型url · image
要擦除内容的源图像。
prompt可选
类型string | null
可选的抠图说明,使用自然语言:'only the chair' 可缩小选择范围,'without the lamp' 可移除内容,'the person with the mat' 可添加要保留的内容。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/background/remove",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 18,
    "usd": "0.018",
    "charged": 18,
    "refunded": 0
  },
  "input": {
    "image": "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
image
object {url, content_type, file_name, file_size, width, height}生成的图像。

更多模型:背景移除

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/bria/background/remove.md. 所有模型和指南: https://doitong.com/developers/llms.txt